package GO::Object::Developer;

=head1 NAME

GO::Object::Developer       - represents a GO tool developer on the GO tools page

=cut

use strict;
use Data::Dumper;
use Exporter;
use GO::TestSet qw(dfv_test);
#use GO::MiniTests qw/:std/;
use lib '/Users/gwg/go/scratch/tools';
#use vars qw(@ISA);
use base qw(GO::Object::Generic); #GO::MiniTests);


sub _specification {
	my $self = shift;
	
	return (
		# required
		"id", {
			test => dfv_test('is_a_string_p', { this => 1 }),
			required => 1,
		},
		"name", {
			test => dfv_test('is_a_string_p', { this => 1 }),
			required => 1,
		},
		"url", {
			test => dfv_test('is_an_url_p', { this => 1 }),
			required => 1,
		},
		"parent", {
			test => dfv_test('is_a_string_p', { this => 1 }),
		},
		"parent-url", {
			test => dfv_test('is_an_url_p', { this => 1 }),
		},
		"locality", {
			test => dfv_test('is_a_string_p', { this => 1 }),
		},
#		"developer_list", {
		"region", {
			test => dfv_test('is_a_string_p', { this => 1 }),
		},
		"country-name", {
			test => dfv_test('is_a_string_p', { this => 1 }),
		},
	);
}

*fn = \&name;

1;
